=== debian/changelog ===
iptraf-ng (1.1.3.1-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Aron Xu <aron@debian.org>  Tue, 14 May 2013 20:55:06 +0800

iptraf-ng (1.1.3.1-2) unstable; urgency=low

  * Fix build with Linux 3.5 (Closes: #689669).

 -- Aron Xu <aron@debian.org>  Fri, 05 Oct 2012 20:12:42 +0800

iptraf-ng (1.1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #579924)

 -- Aron Xu <aron@debian.org>  Wed, 25 Jul 2012 09:59:02 +0800
