=== debian/control ===
Source: iptraf-ng
Section: net
Priority: optional
Maintainer: Aron Xu <aron@debian.org>
Uploaders: Frederic Peters <fpeters@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libncurses5-dev
Standards-Version: 3.9.3
Homepage: https://fedorahosted.org/iptraf-ng/
Vcs-Git: git://git.debian.org/collab-maint/iptraf-ng.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/iptraf-ng.git

Package: iptraf-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Next Generation Interactive Colorful IP LAN Monitor 
 IPTraf-ng is an ncurses-based IP LAN monitor that generates various network
 statistics including TCP info, UDP counts, ICMP and OSPF information, 
 Ethernet load info, node stats, IP checksum errors, and others. 
 .
 IPTraf-ng is the next generation of IPTraf started as a fork of original
 iptraf-3.0.0.
