## iptraf-ng 1.1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# The default target of this Makefile is...
+# The default target of this Makefile is this
 all::
 
 # Define V=1 to have a more verbose compile.
@@ -93,7 +93,6 @@
 iptraf-h += src/ipfrag.h
 iptraf-h += src/serv.h
 iptraf-h += src/servname.h
-iptraf-h += src/instances.h
 iptraf-h += src/timer.h
 iptraf-h += src/ifaces.h
 iptraf-h += src/error.h
@@ -103,8 +102,6 @@
 iptraf-h += src/landesc.h
 iptraf-h += src/dirs.h
 iptraf-h += src/getpath.h
-iptraf-h += src/isdntab.h
-iptraf-h += src/bar.h
 iptraf-h += src/options.h
 iptraf-h += src/promisc.h
 iptraf-h += src/parseproto.h
@@ -116,6 +113,8 @@
 iptraf-h += src/list.h
 iptraf-h += src/counters.h
 iptraf-h += src/rate.h
+iptraf-h += src/built-in.h
+iptraf-h += src/sockaddr.h
 
 iptraf-o += src/tui/input.o
 iptraf-o += src/tui/labels.o
@@ -126,7 +125,6 @@
 iptraf-o += src/error.o
 iptraf-o += src/log.o
 iptraf-o += src/getpath.o
-iptraf-o += src/bar.o
 iptraf-o += src/parseproto.o
 iptraf-o += src/fltselect.o
 iptraf-o += src/ipfilter.o
@@ -134,12 +132,10 @@
 iptraf-o += src/ipfrag.o
 iptraf-o += src/serv.o
 iptraf-o += src/servname.o
-iptraf-o += src/instances.o
 iptraf-o += src/timer.o
 iptraf-o += src/revname.o
 iptraf-o += src/pktsize.o
 iptraf-o += src/landesc.o
-iptraf-o += src/isdntab.o
 iptraf-o += src/options.o
 iptraf-o += src/promisc.o
 iptraf-o += src/ifaces.o
@@ -159,9 +155,13 @@
 iptraf-o += src/cidr.o
 iptraf-o += src/counters.o
 iptraf-o += src/rate.o
+iptraf-o += src/capture-pkt.o
+iptraf-o += src/sockaddr.o
 
 rvnamed-o += src/rvnamed.o
 rvnamed-o += src/getpath.o
+rvnamed-o += src/sockaddr.o
+rvnamed-o += src/usage.o
 
 -include config.mak.autogen
 -include config.mak
@@ -245,18 +245,18 @@
 
 # try find ncuses by autodetect
 ifndef NCURSES_LDFLAGS
-	ifneq ($(shell ncurses5-config --libs 2>/dev/null),)
-		NCURSES_CFLAGS := $(shell ncurses5-config --cflags 2>/dev/null)
-		NCURSES_LDFLAGS := $(shell ncurses5-config --libs 2>/dev/null)
+	ifneq ($(shell ncursesw6-config --libs 2>/dev/null),)
+		NCURSES_CFLAGS := $(shell ncursesw6-config --cflags 2>/dev/null)
+		NCURSES_LDFLAGS := $(shell ncursesw6-config --libs 2>/dev/null)
+	else ifneq ($(shell ncurses6-config --libs 2>/dev/null),)
+		NCURSES_CFLAGS := $(shell ncurses6-config --cflags 2>/dev/null)
+		NCURSES_LDFLAGS := $(shell ncurses6-config --libs 2>/dev/null)
 	else ifneq ($(shell ncursesw5-config --libs 2>/dev/null),)
 		NCURSES_CFLAGS := $(shell ncursesw5-config --cflags 2>/dev/null)
 		NCURSES_LDFLAGS := $(shell ncursesw5-config --libs 2>/dev/null)
-	else ifneq ($(shell ncurses6-config --libs 2>/dev/null),)
-		NCURSES_CFLAGS := $(shell ncurses6-config --cflags 2>/dev/null)
-		NCURSES_LDFLAGS := $(shell ncurses6-config --libs 2>/dev/null)
-	else ifneq ($(shell ncursesw6-config --libs 2>/dev/null),)
-		NCURSES_CFLAGS := $(shell ncursesw6-config --cflags 2>/dev/null)
-		NCURSES_LDFLAGS := $(shell ncursesw6-config --libs 2>/dev/null)
+	else ifneq ($(shell ncurses5-config --libs 2>/dev/null),)
+		NCURSES_CFLAGS := $(shell ncurses5-config --cflags 2>/dev/null)
+		NCURSES_LDFLAGS := $(shell ncurses5-config --libs 2>/dev/null)
 	endif
 
 	ifneq ($(NCURSES_LDFLAGS),)
@@ -315,7 +315,7 @@
 		$(iptraf-o) $(ALL_LDFLAGS) $(NCURSES_LDFLAGS)
 
 src/deskman.o src/iptraf.o: VERSION-FILE
-src/deskman.o src/iptraf.o: EXTRA_CPPFLAGS = \
+src/deskman.o src/iptraf.o src/capture-pkt.o: EXTRA_CPPFLAGS = \
 	-DIPTRAF_VERSION='"$(IPTRAF_VERSION)"' \
 	-DIPTRAF_NAME='"iptraf-ng"'
 
@@ -449,5 +449,9 @@
 	$(RM) config.log config.mak.autogen config.mak.append config.status config.cache
 	$(RM) VERSION-FILE
 
+.PHONY: gtags
+gtags:
+	$(QUIET_GEN) gtags
+
 .PHONY: clean distclean all install FORCE
