=== debian/changelog ===
iptraf-ng (1.1.4-2) unstable; urgency=medium

  * Conflicts with iptraf (Closes: #754883)

 -- Aron Xu <happyaron.xu@gmail.com>  Fri, 25 Dec 2015 16:27:12 +0800

iptraf-ng (1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Thu, 28 Nov 2013 00:46:50 +0800
