=== debian/watch ===
version=3
https://fedorahosted.org/releases/i/p/iptraf-ng/iptraf-ng-(.*).tar.gz
# Uncomment to examine a Webpage
#
# <Webpage URL> <string match>
#http://www.example.com/downloads.php iptraf-ng-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/iptraf-ng-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/iptraf-ng-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/iptraf-ng/iptraf-ng-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html iptraf-ng-(.*)\.tar\.gz
