## iptraf-ng 1.2.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	@$(SHELL_PATH) ./GEN-VERSION-FILE
 -include VERSION-FILE
 
-CFLAGS = -g -O2 -Wall -W -std=gnu99
+CFLAGS = -g -O2 -Wall -W -std=gnu99 -Werror=format-security -D_GNU_SOURCE
 LDFLAGS =
 ALL_CFLAGS = $(CPPFLAGS) $(CFLAGS)
 ALL_LDFLAGS = $(LDFLAGS)
@@ -56,16 +56,8 @@
 # Guard against environment variables
 iptraf-h :=
 iptraf-o :=
-rvnamed-o :=
-rvnamed-h :=
-
-
-ALL_PROGRAMS =
-
-# Empty...
-EXTRA_PROGRAMS =
-
-ALL_PROGRAMS += iptraf-ng rvnamed-ng
+
+ALL_PROGRAMS := iptraf-ng
 
 ifndef SHELL_PATH
 	SHELL_PATH = /bin/sh
@@ -115,6 +107,11 @@
 iptraf-h += src/rate.h
 iptraf-h += src/built-in.h
 iptraf-h += src/sockaddr.h
+iptraf-h += src/capt.h
+iptraf-h += src/capt-recvmsg.h
+iptraf-h += src/capt-recvmmsg.h
+iptraf-h += src/capt-mmap-v2.h
+iptraf-h += src/capt-mmap-v3.h
 
 iptraf-o += src/tui/input.o
 iptraf-o += src/tui/labels.o
@@ -157,14 +154,12 @@
 iptraf-o += src/rate.o
 iptraf-o += src/capture-pkt.o
 iptraf-o += src/sockaddr.o
-
-rvnamed-o += src/rvnamed.o
-rvnamed-o += src/getpath.o
-rvnamed-o += src/sockaddr.o
-rvnamed-o += src/usage.o
-
--include config.mak.autogen
--include config.mak
+iptraf-o += src/capt.o
+iptraf-o += src/capt-recvmsg.o
+iptraf-o += src/capt-recvmmsg.o
+iptraf-o += src/capt-mmap-v2.o
+iptraf-o += src/capt-mmap-v3.o
+iptraf-o += src/rvnamed.o
 
 ifndef sysconfdir
 ifeq ($(prefix),/usr)
@@ -218,7 +213,7 @@
 	NCURSES_CFLAGS := $(shell ncursesw5-config --cflags 2>/dev/null)
 	NCURSES_LDFLAGS := $(shell ncursesw5-config --libs 2>/dev/null)
 	ifndef NO_PANEL
-		NCURSES_LDFLAGS += -lpanel
+		NCURSES_LDFLAGS += -lpanelw
 	endif
 endif
 endif
@@ -238,7 +233,7 @@
 	NCURSES_CFLAGS := $(shell ncursesw6-config --cflags 2>/dev/null)
 	NCURSES_LDFLAGS := $(shell ncursesw6-config --libs 2>/dev/null)
 	ifndef NO_PANEL
-		NCURSES_LDFLAGS += -lpanel
+		NCURSES_LDFLAGS += -lpanelw
 	endif
 endif
 endif
@@ -248,21 +243,27 @@
 	ifneq ($(shell ncursesw6-config --libs 2>/dev/null),)
 		NCURSES_CFLAGS := $(shell ncursesw6-config --cflags 2>/dev/null)
 		NCURSES_LDFLAGS := $(shell ncursesw6-config --libs 2>/dev/null)
+		ifndef NO_PANEL
+			NCURSES_LDFLAGS += -lpanelw
+		endif
 	else ifneq ($(shell ncurses6-config --libs 2>/dev/null),)
 		NCURSES_CFLAGS := $(shell ncurses6-config --cflags 2>/dev/null)
 		NCURSES_LDFLAGS := $(shell ncurses6-config --libs 2>/dev/null)
+		ifndef NO_PANEL
+			NCURSES_LDFLAGS += -lpanel
+		endif
 	else ifneq ($(shell ncursesw5-config --libs 2>/dev/null),)
 		NCURSES_CFLAGS := $(shell ncursesw5-config --cflags 2>/dev/null)
 		NCURSES_LDFLAGS := $(shell ncursesw5-config --libs 2>/dev/null)
+		ifndef NO_PANEL
+			NCURSES_LDFLAGS += -lpanelw
+		endif
 	else ifneq ($(shell ncurses5-config --libs 2>/dev/null),)
 		NCURSES_CFLAGS := $(shell ncurses5-config --cflags 2>/dev/null)
 		NCURSES_LDFLAGS := $(shell ncurses5-config --libs 2>/dev/null)
-	endif
-
-	ifneq ($(NCURSES_LDFLAGS),)
-	ifndef NO_PANEL
-		NCURSES_LDFLAGS += -lpanel
-	endif
+		ifndef NO_PANEL
+			NCURSES_LDFLAGS += -lpanel
+		endif
 	endif
 endif
 
@@ -319,18 +320,7 @@
 	-DIPTRAF_VERSION='"$(IPTRAF_VERSION)"' \
 	-DIPTRAF_NAME='"iptraf-ng"'
 
-rvnamed-ng: $(rvnamed-o)
-	$(QUIET_LINK)$(CC) $(ALL_CFLAGS) -o $@ \
-		$(rvnamed-o) $(ALL_LDFLAGS)
-
-configure: configure.ac
-	$(QUIET_GEN)$(RM) $@ $<+ && \
-	sed -e 's/@@IPTRAF_VERSION@@/$(IPTRAF_VERSION)/g' \
-	    $< > $<+ && \
-	autoconf -o $@ $<+ && \
-	$(RM) $<+
-
-OBJECTS := $(sort $(iptraf-o) $(rvnamed-o))
+OBJECTS := $(sort $(iptraf-o))
 
 dep_files := $(foreach f,$(OBJECTS),$(dir $f).depend/$(notdir $f).d)
 dep_dirs := $(addsuffix .depend,$(sort $(dir $(OBJECTS))))
@@ -402,26 +392,29 @@
 
 ### Maintainer's dist rules
 
-iptraf-ng.spec: iptraf-ng.spec.in
-	sed -e 's/@@IPTRAF_VERSION@@/$(IPTRAF_VERSION)/g' < $< > $@+
-	mv $@+ $@
-
 IPTRAF_TARNAME = iptraf-ng-$(IPTRAF_VERSION)
-dist: iptraf-ng.spec configure
+dist:
 	@mkdir -p $(IPTRAF_TARNAME)
-	@cp iptraf-ng.spec configure $(IPTRAF_TARNAME)
 	@cp --parents `git ls-files` $(IPTRAF_TARNAME)
-	@echo $(IPTRAF_VERSION) > $(IPTRAF_TARNAME)/version
 	$(TAR) cf $(IPTRAF_TARNAME).tar $(IPTRAF_TARNAME)
 	@$(RM) -rf $(IPTRAF_TARNAME)
 	gzip -f -9 $(IPTRAF_TARNAME).tar
 
-rpm: dist
-	$(RPMBUILD) \
-		--define "_source_filedigest_algorithm md5" \
-		--define "_binary_filedigest_algorithm md5" \
-		-ta $(IPTRAF_TARNAME).tar.gz
-
+### Documentation rules
+html: Documentation/book1.html
+pdf: Documentation/manual.pdf
+
+Documentation/book1.html: Documentation/manual.sgml
+	cd Documentation && docbook2html manual.sgml
+
+Documentation/manual.pdf: Documentation/manual.sgml
+	cd Documentation && docbook2pdf manual.sgml
+
+Documentation/manual.sgml: Documentation/manual.sgml.in VERSION-FILE
+	cat $< | sed \
+		-e s/@@version@@/`echo $(IPTRAF_VERSION) | cut -d. -f1-3`/ \
+		-e s/@@major@@/`echo $(IPTRAF_VERSION) | cut -d. -f1-2`/ \
+	> $@
 
 ## TODO: use asciidoc to generate mans
 
@@ -432,26 +425,22 @@
 	$(INSTALL) $(ALL_PROGRAMS) '$(DESTDIR_SQ)$(sbindir_SQ)'
 	$(INSTALL) -d -m 755 $(DESTDIR)$(man8dir)
 	$(INSTALL) -m 644 src/iptraf-ng.8  $(DESTDIR)$(man8dir)
-	$(INSTALL) -m 644 src/rvnamed-ng.8  $(DESTDIR)$(man8dir)
 
 ### Cleaning rules
 
 distclean: clean
-	$(RM) configure
 
 clean:
-	$(RM) src/*.o src/tui/*.o
+	$(RM) Documentation/manual.sgml
+	$(RM) Documentation/manual.pdf
+	$(RM) Documentation/*.html
+	$(RM) $(iptraf-o)
 	$(RM) $(ALL_PROGRAMS)
-	$(RM) -r autom4te.cache
 	$(RM) -r $(dep_dirs)
-	$(RM) *.spec
 	$(RM) $(IPTRAF_TARNAME).tar.gz
-	$(RM) config.log config.mak.autogen config.mak.append config.status config.cache
 	$(RM) VERSION-FILE
 
-.PHONY: gtags
 gtags:
 	$(QUIET_GEN) gtags
 
-.PHONY: clean distclean all install FORCE
-
+.PHONY: clean distclean all install html pdf gtags FORCE
