=== debian/changelog ===
iptraf-ng (1:1.2.0-1) unstable; urgency=medium

  * New upstream release, drop patches applied upstream
  * Use dh compat level 10, remove --parallel from d/rules
  * Use std-ver 4.5.0
  * d/control, d/copyright: update various URLs
  * d/watch: update for new upstream location
  * Install symlink iptraf-ng -> iptraf (Closes: #902603)
  * Remove transitional package: iptraf (Closes: #683493, #842411, #858200, #939244)
  * Remove useless B-D on autotools-dev
  * Remove fpeters from Uploaders
  * d/rules:
    - build html docs explicitly
    - make build process verbose (Closes: #851595)

 -- Aron Xu <aron@debian.org>  Sun, 05 Jul 2020 21:58:09 +0800

iptraf-ng (1:1.1.4-6) unstable; urgency=medium

  * Bump epoch to make it upgradable from iptraf.

 -- Aron Xu <aron@debian.org>  Mon, 27 Mar 2017 15:00:11 +0800

iptraf-ng (1.1.4-5) unstable; urgency=medium

  * Add transitional dummy package iptraf

 -- Aron Xu <aron@debian.org>  Sun, 26 Mar 2017 20:01:01 +0800

iptraf-ng (1.1.4-4) unstable; urgency=medium

  * Restore correct maintainer address (Closes: #842431)

 -- Aron Xu <aron@debian.org>  Thu, 01 Dec 2016 20:25:22 +0800

iptraf-ng (1.1.4-3) unstable; urgency=medium

  [ Dann Frazier ]
  * d/p/build-use-wide-version-of-lpanel-when-needed.patch: Fix corrupted
    ncurses display. LP: #1574832, Closes: #819928.

 -- Aron Xu <aron@debian.org>  Mon, 25 Apr 2016 17:28:13 -0600
