## iptraf-ng 1.2.1

=== debian/changelog ===
iptraf-ng (1:1.2.1-2) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Ensure CFLAGS and LDFLAGS are set to values from dpkg-buildflags

  [ Aron Xu ]
  * B-D on libncurses-dev, replacing libncurses5-dev and libncursesw5-dev

 -- Aron Xu <aron@debian.org>  Tue, 16 Jul 2024 17:06:37 +0800

iptraf-ng (1:1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Wed, 28 Oct 2020 10:02:26 +0800
