=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/buildflags.mk

%:
	dh $@
override_dh_auto_install:
	mkdir -p debian/iptraf-ng/etc/logrotate.d && cp -f iptraf-ng-logrotate.conf debian/iptraf-ng/etc/logrotate.d/iptraf-ng
	# Do not run upstream install
	#dh_auto_install

override_dh_auto_build:
	dh_auto_build -- V=1 CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	make html
