## iptraf-ng 1.2.2

=== debian/changelog ===
iptraf-ng (1:1.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1090381, CVE-2024-52949)
  * Update std-ver to 4.7.2, no change required.
  * Add appropriate maint scripts (Closes: #859759, #900370)
  * Fix upstream logrotate configuration (Closes: #860568, #944969)

 -- Aron Xu <aron@debian.org>  Thu, 18 Dec 2025 16:33:35 +0800
