=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Aron Xu <aron@debian.org>
 Build-Depends: debhelper (>= 10), libncurses-dev, docbook-utils
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/iptraf-ng/iptraf-ng
 
 Package: iptraf-ng
